---
apiVersion: turtles-capi.cattle.io/v1alpha1
kind: ClusterctlConfig
metadata:
  name: clusterctl-config
  namespace: cattle-turtles-system
spec:
  providers:
  - name: metal3
    url: "https://github.com/rancher-sandbox/cluster-api-provider-metal3/releases/v1.10.4/infrastructure-components.yaml"
    type: InfrastructureProvider
  - name: metal3ipam
    url: "https://github.com/rancher-sandbox/ip-address-manager/releases/v1.10.4/ipam-components.yaml"
    type: IPAMProvider
  images:
  - name: control-plane-rke2
    repository: "registry.suse.com/rancher"
  - name: bootstrap-rke2
    repository: "registry.suse.com/rancher"
  - name: addon-rancher-fleet
    repository: "registry.suse.com/rancher"
